docusign.authorizations.get-agent-user-authorizations
Returns the user authorizations for which the user specified by userId is the agent user. If the calling user is an account administrator, the full results will be returned. Otherwise, only authorizations for which the calling user is the principal user will be returned.
Returns the authorizations for which the specified user is the agent user.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
userid | string | Yes | — | The user who is acting as the agent. |
active_only | string | No | — | When true, only active users are returned. The default value is false. |
count | string | No | — | The maximum number of results to return. |
email_substring | string | No | — | Filters returned user records by full email address or a substring of email address. |
include_closed_users | string | No | — | When true, returns active and scheduled authorizations of closed users. The default value is true. This value is only applied when active_only is false. |
permissions | string | No | — | — |
start_position | string | No | — | The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. |
task_source | string | No | — | — |
task_type | string | No | — | — |
user_name_substring | string | No | — | Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character. |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
userid | string | Yes | — | The user who is acting as the agent. |
active_only | string | No | — | When true, only active users are returned. The default value is false. |
count | string | No | — | The maximum number of results to return. |
email_substring | string | No | — | Filters returned user records by full email address or a substring of email address. |
include_closed_users | string | No | — | When true, returns active and scheduled authorizations of closed users. The default value is true. This value is only applied when active_only is false. |
permissions | string | No | — | — |
start_position | string | No | — | The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. |
task_source | string | No | — | — |
task_type | string | No | — | — |
user_name_substring | string | No | — | Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/users/{userId}/authorizations/agent |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/users/{userId}/authorizations/agent |
* (any state) | fail | failed | Record the failure reason |
API Usage
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.authorizations.get-agent-user-authorizations",
"initial_data": {
"base_url": "value",
"accountid": "value",
"userid": "value"
}
}